Bug 1314900 - psi+ does not connect, and has a "messed up" looking contact list
psi+ does not connect, and has a "messed up" looking contact list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: psi-plus (Show other bugs)
24
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 14:30 EST by Randy Barlow
Modified: 2016-05-07 07:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: psi-plus-0.16-0.26.20151216git476.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:57:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
roster screenshot (24.43 KB, image/png)
2016-03-08 12:39 EST, Randy Barlow
no flags Details

  None (edit)
Description Randy Barlow 2016-03-04 14:30:06 EST
On Fedora 24, psi+ does not connect to the server when started. Additionally, the contact list looks like it has a lot of corrupted text. I'm not sure if the issues are related or not.
Comment 2 Randy Barlow 2016-03-04 14:32:13 EST
$ rpm -q psi-plus
psi-plus-0.16-0.25.20151216git476.fc24.x86_64
Comment 3 Raphael Groner 2016-03-04 14:36:40 EST
What theme do you use? Please try with default user settings, does it look the same?

F24 has Qt5.6, so maybe we hit at least one bug in the core components. Did you try to look for similiar issues at upstream?
Comment 4 Randy Barlow 2016-03-07 10:41:16 EST
Hello Raphael!

I had not adjusted Psi+'s theme from the default, so whatever that was in F23. The themes tab in the settings seems to be specific to the message boxes and not to the buddy list. Or do you mean KDE theme? I had been using "Breeze Dark", so I tried switching it to "Fedora Twenty Three", but the buddy list fonts still have lots of strange characters.

Something different is happening now when I start psi+ - it pops up a box that says that the server does not support TLS. This is very strange, because my ejabberd server only supports TLS and disallows plaintext connections. Additionally, this does not happen every time I start Psi+. I'd say it happens about 20% of the time after restarting several times.

I wonder if these weird extra characters are some kind of data corruption in Psi+'s settings. When I open the account settings, my XMPP address also shows tons of these strange characters. I wonder if that's why it can't connect - perhaps it's actually trying to resolve a hostname with "junk" characters? I tried to type my real JID again and saved it, but when I reopened the account the junk characters had returned.
Comment 5 Raphael Groner 2016-03-07 15:02:45 EST
Can you show us a sample screenshot?
Comment 6 Randy Barlow 2016-03-08 12:39 EST
Created attachment 1134264 [details]
roster screenshot

Here is a screenshot showing the strange characters.
Comment 7 Christian Dersch 2016-04-23 11:07:26 EDT
I can confirm the bug :( Fresh Fedora 24 KDE installation.
Comment 8 Raphael Groner 2016-04-23 11:19:48 EDT
My first guesses into blue sky: Qt 5.6 or gcc6 related or both of them. As we've Qt 5.6 now also in Fedora 23, anything more suspicious towards gcc6 internals would be more obvious maybe.
Comment 9 Raphael Groner 2016-04-23 11:27:09 EDT
Getting Qt5 maintainers into the boat of information. Maybe someone can help with more knowledge about the core internals.
Comment 10 Rex Dieter 2016-04-23 11:29:01 EDT
or theme related, folks ok on f23, were you using kde's breeze theme too?
Comment 11 Raphael Groner 2016-04-23 11:30:50 EDT
An issue with theming can not explain the network connection breakage. Propably we see at least two independent bugs here.
Comment 12 Christian Dersch 2016-04-23 12:28:16 EDT
A simple rebuild solved the issue for me.
Comment 13 Raphael Groner 2016-04-23 13:55:27 EDT
@Reporter,
could you do the following to be absolutely sure your issues are not related to any custom configuration?

1. quit psi-plus, ensure no running process left
2. open a terminal
3. execute command: mv ~/.config/psi+ ~/.config/psi+bak
4. start psi-plus again
5. reconfigure
   (no worries, all your now inactive settings are still available in psi+bak)
6. connect
Comment 14 Rex Dieter 2016-04-23 16:46:25 EDT
Doing a simple rebuild couldn't hurt anything (the last psi-plus build was way back during f24 mass rebuild, so it's possible something in the build chain was fixed since then)
Comment 15 Raphael Groner 2016-04-23 16:48:27 EDT
(In reply to Rex Dieter from comment #14)
> Doing a simple rebuild couldn't hurt anything (the last psi-plus build was
> way back during f24 mass rebuild, so it's possible something in the build
> chain was fixed since then)

Indeed. Rawhide has a newer version of GCC6 than in Fedora 24. Similiar issues were seen with icu (unicode library) and Qt5.
Comment 16 Fedora Update System 2016-04-23 23:50:48 EDT
psi-plus-0.16-0.26.20151216git476.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1ec365523
Comment 17 Raphael Groner 2016-04-24 02:16:50 EDT
(In reply to Christian Dersch from comment #12)
> A simple rebuild solved the issue for me.

Same here.
Comment 18 Fedora Update System 2016-04-24 12:50:19 EDT
psi-plus-0.16-0.26.20151216git476.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1ec365523
Comment 19 Randy Barlow 2016-04-25 09:38:49 EDT
Hello!

I tried upgrading to the new build and it did get rid of the "messed up" looking contact list, but it still wouldn't connect. This probably confirms Raphael's suspicion that we have two separate bugs here.

I also followed Raphael's suggestion of creating a new config, and when I did that I was able to connect and things seem to be working just fine.

This may mean that there could be issues for users who upgrade from F23 to F24, but I'm not sure. Do with that information what you will ☺
Comment 20 Raphael Groner 2016-04-25 09:43:30 EDT
Maybe your password got scrambled or lost? Anyways, I'm glad it's back to work for you again. I'm not able to reproduce any connection issues of psi-plus inside a fresh Fedora 24 installation, within a LXQt session.
Comment 21 Randy Barlow 2016-04-25 11:22:13 EDT
Hello Raphael,

Perhaps you are right, though I'd expect to get an authentication error of some sort if the password was wrong and I got no error messages.

If you want to close the bug that's fine with me since I'm now running Psi+ in a working state. However, you may wish to consider testing the upgrade from F23 to F24 with this new build to see if everything is fixed for users who will upgrade soon. It is possible that the "messed up" characters that I experienced got into the config database somehow and maybe that caused this issue. If so, it does seem that at least that problem is solved, and perhaps upgrading users will be just fine now.

Thanks for the rebuild!
Comment 22 Raphael Groner 2016-04-26 01:38:11 EDT
(In reply to Randy Barlow from comment #21)
> Hello Raphael,
> 
> Perhaps you are right, though I'd expect to get an authentication error of
> some sort if the password was wrong and I got no error messages.

I've seen similiar issues when psi+ profile got copied over into new user profiles, for instance into other systems/machines installation.
Comment 23 Fedora Update System 2016-05-07 07:57:43 EDT
psi-plus-0.16-0.26.20151216git476.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.